GCLOUD_APP_INSTANCES_SSH(1)

NAME

gcloud app instances ssh - SSH into the VM of an App Engine Flexible instance

SYNOPSIS

gcloud app instances ssh INSTANCE --service=SERVICE --version=VERSION [--container=CONTAINER] [GCLOUD_WIDE_FLAG ...] [-- COMMAND ...]

DESCRIPTION
gcloud app instances ssh lets you remotely log in to your running App Engine Flexible instances. gcloud app instances ssh resolves the instance's IP address and pre-populates the VM with a public key managed by gcloud. If the gcloud managed key pair does not exist, it is generated the first time an SSH command is run, which may prompt you for a passphrase for the private key encryption. All SSH commands require the OpenSSH client suite to be installed on Linux and Mac OS X. On Windows, the Cloud SDK comes with a bundled PuTTY suite instead, so it has no external dependencies.

POSITIONAL ARGUMENTS

    INSTANCE
        The instance ID.

    [-- COMMAND ...]
        Remote command to execute on the VM. The '--' argument must be specified between gcloud specific args on the left and COMMAND on the right.

REQUIRED FLAGS

    --service=SERVICE
        The service ID.

    --version=VERSION
        The version ID.

OPTIONAL FLAGS

    --container=CONTAINER
        Name of the container within the VM to connect to.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To SSH into an App Engine Flexible instance, run:
    $ gcloud app instances ssh --service s1 --version v1 i1
To SSH into the app container within an instance, run:
    $ gcloud app instances ssh --service s1 --version v1 i1 \
      --container=gaeapp
To SSH into the app container and run a remote command, run:
    $ gcloud app instances ssh --service s1 --version v1 i1 \
      --container=gaeapp -- echo hello